import Vue from 'vue'
import echarts from 'echarts'
import MagLoadParams from './stores/MagLoadParams'
import MagGetSaleParam from './stores/MagGetSaleParams'

/** **************************收费组件注册******************************/

export default function () {
  Vue.prototype.$echarts = echarts
  Vue.use(MagLoadParams)
  Vue.use(MagGetSaleParam)
  Vue.component('tie-an-account', (resolve) => {
    require(['./components/SellReport/ReportComponrnt/TieAnAccount'], resolve)
  })
  /** **************************物联网表(WebReport)******************************/
  // 工单考核报表
  Vue.component('report-worklist', (resolve) => {
    require(['./components/WebReport/ReportWorklist'], resolve)
  })
  // 话务员考核报表
  Vue.component('teleman-list', (resolve) => {
    require(['./components/WebReport/Telemanlist'], resolve)
  })

  Vue.component('user-gas-all', (resolve) => {
    require(['./components/WebReport/UserGasAll'], resolve)
  })
  // 报表展示组件(异常统计报表)
  Vue.component('abnormal-info', (resolve) => {
    require(['./components/WebReport/AbnormalInfo'], resolve)
  })
  // 不用气用户查询
  Vue.component('owe-query', (resolve) => {
    require(['./components/WebReport/OweQuery'], resolve)
  })
  // 不用气用户查询
  Vue.component('not-upload', (resolve) => {
    require(['./components/WebReport/NotUpload'], resolve)
  })
  // 电量不足查询
  Vue.component('battery-low', (resolve) => {
    require(['./components/WebReport/BatteryLow'], resolve)
  })
  // 电磁干扰查询
  Vue.component('electro-magnetic', (resolve) => {
    require(['./components/WebReport/ElectroMagnetic'], resolve)
  })

  // /* 通信信息查询 */
  Vue.component('communication', (resolve) => {
      require(['./components/WebReport/Communication'], resolve)
    }
  )
  // /*阀门统计 */
  Vue.component('value-info', (resolve) => {
    require(['./components/WebReport/ValueInfo'], resolve)
  })

  Vue.component('handplanprint', (resolve) => {
    require(['./components/WebReport/HandplanPrint'], resolve)
  })

  // 付款方式饼图
  Vue.component('paymentpie', (resolve) => {
    require(['./components/WebReport/Paymentpie'], resolve)
  })
  // 用户类型饼图
  Vue.component('usertype-pie', (resolve) => {
    require(['./components/WebReport/UsertypePie'], resolve)
  })
  Vue.component('echarts-box', (resolve) => {
    require(['./components/WebReport/EchartsBox'], resolve)
  })
  Vue.component('gasprice-has', (resolve) => {
    require(['./components/WebReport/GaspriceHas'], resolve)
  })
  Vue.component('bussiness-type', (resolve) => {
    require(['./components/WebReport/BussinessType'], resolve)
  })
  // 银行代售气量金额散列图
  Vue.component('bank-manager', (resolve) => {
    require(['./components/SellReport/BankManager'], resolve)
  })
  Vue.component('test', (resolve) => {
    require(['./components/SellReport/Test'], resolve)
  })
  // 各管理站气量金额散列图
  Vue.component('site-manager', (resolve) => {
    require(['./components/SellReport/SiteManager'], resolve)
  })
  // 用气性质散列图
  Vue.component('gas-properties-manager', (resolve) => {
    require(['./components/SellReport/GasPropertiesManager'], resolve)
  })

  /** **************************营收模块(SellReport)******************************/
  // 报表相关，所属为抄表员汇总表（实际为报表汇总表，功能名称后期改变）,调整找那个，尚未归类
  // 菜单组件，报表总组件
  Vue.component('report-pool', (resolve) => {
    require(['./components/SellReport/ReportPool'], resolve)
  })
  // 报表类型选项
  Vue.component('report-items', (resolve) => {
    require(['./components/SellReport/ReportItems'], resolve)
  })
  // 往期报表，扎帐后报表，
  Vue.component('report-history', (resolve) => {
    require(['./components/SellReport/ReportHistory'], resolve)
  })
  // 保存的报表展示
  Vue.component('report-history-show', (resolve) => {
    require(['./components/SellReport/ReportHistoryShow'], resolve)
  })

  /** **************************营收模块(SellReport)******************************/
  // 报表相关，所属为抄表员汇总表（实际为报表汇总表，功能名称后期改变）,调整找那个，尚未归类
  // 菜单组件，报表特殊总组件
  Vue.component('report-pool-special', (resolve) => {
    require(['./components/SellReport/ReportPoolSpecial'], resolve)
  })
  // 报表类型选项
  Vue.component('report-items-special', (resolve) => {
    require(['./components/SellReport/ReportItemsSpecial'], resolve)
  })
  // 营业分类统计-铜川
  Vue.component('report-gas-type', (resolve) => {
    require(['./components/SellReport/tongchuan/ReportGasType'], resolve)
  })

  // 报表展示组件(收款日报表)
  Vue.component('bon-summary', (resolve) => {
    require(['./components/SellReport/BonSummary'], resolve)
  })
  // 报表展示组件（气价报表）
  Vue.component('manage-gas-price', (resolve) => {
    require(['./components/SellReport/ManageGasPrice'], resolve)
  })
  // 报表展示组件（财务分类报表气费）
  Vue.component('manage-gas-sum-change', (resolve) => {
    require(['./components/SellReport/ManageGasSumChange'], resolve)
  })
  // 报表展示组件（财务分类报表气费2）
  Vue.component('manage-gas-sum-change-two', (resolve) => {
    require(['./components/SellReport/ManageGasSumChangeTwo'], resolve)
  })
  // 报表展示组件（财务分类报表其他收费）
  Vue.component('manage-gas-sum-other-charge', (resolve) => {
    require(['./components/SellReport/ManageGasSumOtherCharge'], resolve)
  })
  // 报表展示组件（收费汇总报表）
  Vue.component('manage-bus-summary', (resolve) => {
    require(['./components/SellReport/ManageBusSummary'], resolve)
  })
  // 新收费结账报表 多查询条件（用户类型，付款方式，气表类型，气表品牌）
  Vue.component('manage-bus-summary-new', (resolve) => {
    require(['./components/SellReport/ManageBusSummaryNew'], resolve)
  })
  // 报表展示组件（(机表)收费结账报表）
  Vue.component('jimanage-bus-summary', (resolve) => {
    require(['./components/SellReport/JiManageBusSummary'], resolve)
  })
  // 报表展示组件（收费汇总报表-无付款方式用户类型与用气性质分组）
  Vue.component('manage-bus-summarynopay', (resolve) => {
    require(['./components/SellReport/ManageBusSummarynopay'], resolve)
  })
  // 报表展示组件（现金结账单）
  Vue.component('manage-bus-table', (resolve) => {
    require(['./components/SellReport/ManageBusTable'], resolve)
  })
  // 报表展示组件（现金结账单（其他收费））
  Vue.component('manage-bus-other-table', (resolve) => {
    require(['./components/SellReport/ManageBusOtherTable'], resolve)
  })
  // 报表展示组件（收费汇总报表）蓬安
  Vue.component('manage-bus-summary-peng', (resolve) => {
    require(['./components/SellReport/pengan/ManageBusSummaryPeng'], resolve)
  })
  // 财务报表(用气性质)
  Vue.component('selling-table', (resolve) => {
    require(['./components/SellReport/SellingTable'], resolve)
  })
  // 月用气量分项报表
  Vue.component('fx-gas-table', (resolve) => {
    require(['./components/SellReport/FxGasTable'], resolve)
  })
  // 报表展示组件（综合月报表）蓬安
  Vue.component('manage-bus-peng', (resolve) => {
    require(['./components/SellReport/pengan/ManageBusPeng'], resolve)
  })
  // 报表展示组件（销售汇总报表）
  Vue.component('manage_summary_sellgas', (resolve) => {
    require(['./components/SellReport/QTXManageBusSummary'], resolve)
  })
  // 报表展示组件（气价报表）
  Vue.component('manage-new-gas-price', (resolve) => {
    require(['./components/SellReport/ManageNewGasPrice'], resolve)
  })
  // 报表展示组件（日用气量汇总表）
  Vue.component('manage-day-gas', (resolve) => {
    require(['./components/SellReport/ManageDayGas'], resolve)
  })
  // 报表展示组件（月用气量汇总表）
  Vue.component('manage-month-gas', (resolve) => {
    require(['./components/SellReport/ManageMonthGas'], resolve)
  })
  // 报表展示组件（用户统计报表）
  Vue.component('manage-user-collect', (resolve) => {
    require(['./components/SellReport/ManageUserCollect'], resolve)
  })
  // 报表展示组件（营业分析汇总报表）
  Vue.component('manage-sell-type', (resolve) => {
    require(['./components/SellReport/ManageSellType'], resolve)
  })
  // 报表展示组件（新营业分析汇总报表）
  Vue.component('manage-sell-type-new', (resolve) => {
    require(['./components/SellReport/ManageSellTypeNew'], resolve)
  })
  // 报表展示组件（用户新增销户统计报表）
  Vue.component('manage-user-count', (resolve) => {
    require(['./components/SellReport/ManageUserCount'], resolve)
  })
  // 报表展示组件（其他收费汇总）
  Vue.component('manage-other-charge', (resolve) => {
    require(['./components/SellReport/ManageOtherCharge'], resolve)
  })

  // 报表展示组件（收费统计表）
  Vue.component('manage-gas-fee', (resolve) => {
    require(['./components/SellReport/ManageGasFee'], resolve)
  })
  // 北方实业用气汇总报表
  Vue.component('manage-use-gas-beifangshiye', (resolve) => {
    require(['./components/SellReport/ManageUseGasQueryBeiFangShiYe'], resolve)
  })
  // 北方实业售气汇总报表
  Vue.component('manage-sell-gas-beifangshiye', (resolve) => {
    require(['./components/SellReport/ManageSellGasQueryBeiFangShiYe'], resolve)
  })
  // 北方实业用户分类统计
  Vue.component('manage-user-classify-beifangshiye', (resolve) => {
    require(['./components/SellReport/ManageUserClassifyBeiFangShiYe'], resolve)
  })
  Vue.component('manage-fill-gas-beifangshiye', (resolve) => {
    require(['./components/SellReport/ManageFillGasQueryBeiFangShiYe'], resolve)
  })
  Vue.component('manage-charge-bill-beifangshiye', (resolve) => {
    require(['./components/SellReport/ManageChargeBillBeiFangShiYe'], resolve)
  })
  // 报表展示组件（其他收费汇总）
  Vue.component('manage-other-charge-beifangshiye', (resolve) => {
    require(['./components/SellReport/ManageOtherChargeBeiFangShiYe'], resolve)
  })

  // 北方实业用气汇总
  Vue.component('brand-gas-price-group', (resolve) => {
    require(['./components/SellReport/BrandGasPriceGroup'], resolve)
  })
  // 报表展示组件（收费统计表）
  Vue.component('manage-gas-fee-operator', (resolve) => {
    require(['./components/SellReport/ManageGasFeeOperator'], resolve)
  })

  // 报表展示组件(抄表汇总表)
  Vue.component('hand-collect', (resolve) => {
    require(['./components/SellReport/HandCollect'], resolve)
  })
  // 报表展示组件(抄表员汇总表)
  Vue.component('meter-reader', (resolve) => {
    require(['./components/SellReport/MeterReader'], resolve)
  })
  // 报表展示组件(气价明细报表)
  Vue.component('gas-price-detail', (resolve) => {
    require(['./components/SellReport/GasPrice'], resolve)
  })
  // 报表展示组件(用户统计表)
  Vue.component('get-usernum', (resolve) => {
    require(['./components/SellReport/GetUserNum'], resolve)
  })
  // 报表展示组件(抄表情况统计表)
  Vue.component('meter-bill', (resolve) => {
    require(['./components/SellReport/MeterBill'], resolve)
  })
  // 报表展示组件(收费统计)
  Vue.component('sells-bill', (resolve) => {
    require(['./components/SellReport/ChargeBill'], resolve)
  })
  // 报表展示组件(抄表员统计表)
  Vue.component('meter-input', (resolve) => {
    require(['./components/SellReport/MeterInput'], resolve)
  })
  // 抄表比率
  Vue.component('handplan-bili', (resolve) => {
    require(['./components/SellReport/HandplanBili'], resolve)
  })
  // 报表展示组件（抄表情况汇总表）
  Vue.component('manage-hand-inputtor', (resolve) => {
    require(['./components/SellReport/ManageHandInputtor'], resolve)
  })
  // 报表展示组件（抄表已抄已收情况汇总表） 蓬安
  Vue.component('manage-hand-sell-inputtor', (resolve) => {
    require(['./components/SellReport/ManageHandSellInputtor'], resolve)
  })
  // 报表展示组件（营业厅售气情况统计表） 经纬
  Vue.component('manage-hand-sell-money', (resolve) => {
    require(['./components/SellReport/jingwei/ManageHandSellMoney'], resolve)
  })
  // 报表展示组件（营业厅售气情况统计表） 经纬
  Vue.component('manage-hand-sell-money-new', (resolve) => {
    require(['./components/SellReport/jingwei/ManageHandSellMoneyNew'], resolve)
  })
  // 报表展示组件（收费统计月报表） 经纬
  Vue.component('manage-month-sell-type', (resolve) => {
    require(['./components/SellReport/jingwei/ManageMonthSellType'], resolve)
  })
  // 话务员报表
  Vue.component('zhihuan-service', (resolve) => {
    require(['./components/TelReport/ZhiHuanservice'], resolve)
  })
  // 预售收入日报
  Vue.component('yu-shou-table', (resolve) => {
    require(['./components/SellReport/YuShouTable'], resolve)
  })
  // 预售收入日报（二）渭南华州
  Vue.component('yu-shou-table-two', (resolve) => {
    require(['./components/SellReport/YuShouTableTwo'], resolve)
  })
  // 渭南预售收入汇总表
  Vue.component('wn-yu-shou', (resolve) => {
    require(['./components/SellReport/WeiNanYuShou'], resolve)
  })
  // 物联网月用气报表
  Vue.component('monthm-stair-money', (resolve) => {
    require(['./components/SellReport/MonthStairMoney'], resolve)
  })
  // 物联网日用气报表
  Vue.component('day-stair-money', (resolve) => {
    require(['./components/SellReport/DayStairMoney'], resolve)
  })
  // 气价分类报表
  Vue.component('meter-price', (resolve) => {
    require(['./components/SellReport/MeterPrice'], resolve)
  })
  // 收费日报表
  Vue.component('charge-day-table', (resolve) => {
    require(['./components/SellReport/ChargeDayTable'], resolve)
  })
// 收费月报表
  Vue.component('charge-month-table', (resolve) => {
    require(['./components/SellReport/ChargeMonthTable'], resolve)
  })
// 收费年报表
  Vue.component('charge-year-table', (resolve) => {
    require(['./components/SellReport/ChargeYearTable'], resolve)
  })

  // 咸阳日期汇总表
  Vue.component('xian-yang-date', (resolve) => {
    require(['./components/SellReport/XianYangDate'], resolve)
  })
  // 咸阳操作员统计
  Vue.component('xian-yang-operator', (resolve) => {
    require(['./components/SellReport/XianYangOperator'], resolve)
  })
  // 咸阳财务收费报表
  Vue.component('xian-yang-charge', (resolve) => {
    require(['./components/SellReport/XianYangCharge'], resolve)
  })
  // 气表品牌汇总表
  Vue.component('gas-meter-brand', (resolve) => {
    require(['./components/SellReport/GasMeterBrand'], resolve)
  })
  // 气价分组汇总表
  Vue.component('gas-price-group', (resolve) => {
    require(['./components/SellReport/GasPriceGroup'], resolve)
  })
  // 付款分布统计表
  Vue.component('payment-distribute', (resolve) => {
    require(['./components/SellReport/PaymentDistribute'], resolve)
  })
  // 机表用气汇总
  Vue.component('meter-gas-money', (resolve) => {
    require(['./components/SellReport/MeterGasMoney'], resolve)
  })
  // 营业厅明细报表
  Vue.component('user-gas-fill-card', (resolve) => {
    require(['./components/SellReport/UserGasFillCard'], resolve)
  })
  // 营业厅明细首页
  Vue.component('dept-home-page', (resolve) => {
    require(['./components/SellReport/DeptHomePage'], resolve)
  })
  // 收费明细日报表
  Vue.component('charge-day-report', (resolve) => {
    require(['./components/SellReport/ChargeDayReport'], resolve)
  })
  // 咸阳日期收费统计报表
  Vue.component('xy-date-charge', (resolve) => {
    require(['./components/SellReport/XyDateCharge.vue'], resolve)
  })
  // 咸阳操作员收费统计报表
  Vue.component('xy-operator-charge', (resolve) => {
    require(['./components/SellReport/XyOperatorCharge.vue'], resolve)
  })
  // 业务报表
  Vue.component('business-report', (resolve) => {
    require(['./components/SellReport/BusinessReport.vue'], resolve)
  })
  // 应收实收月报表
  Vue.component('manage-receivable', (resolve) => {
    require(['./components/SellReport/ManageReceivable'], resolve)
  })
  // 用户状态统计报表
  Vue.component('user-state-statistics', (resolve) => {
    require(['./components/SellReport/UserStateStatistics.vue'], resolve)
  })
  // 抄表户数情况统计表
  Vue.component('handplan-user-count', (resolve) => {
    require(['./components/SellReport/HandplanUserCount.vue'], resolve)
  })
  // 销售月报表
  Vue.component('sale-month-report', (resolve) => {
    require(['./components/SellReport/SaleMonthReport.vue'], resolve)
  })
  // 非民用用气统计
  Vue.component('non-resident-gas', (resolve) => {
    require(['./components/SellReport/NonResidentGas'], resolve)
  })
  // 付款方式报表
  Vue.component('payment-method', (resolve) => {
    require(['./components/SellReport/PaymentMethod'], resolve)
  })
  // 收费员收费汇总报表
  Vue.component('operator-sell-report', (resolve) => {
    require(['./components/SellReport/OperatorSellReport'], resolve)
  })
  // 营业额统计
  Vue.component('business-money-report', (resolve) => {
    require(['./components/SellReport/BusinessMoneyReport'], resolve)
  })
  // 营业网点统计报表
  Vue.component('outlet-table', (resolve) => {
    require(['./components/SellReport/OutletTable'], resolve)
  })
  // 彩虹财务
  Vue.component('ch-sell-report', (resolve) => {
    require(['./components/SellReport/ChSellReport'], resolve)
  })
  // 彩虹收费汇总报表
  Vue.component('ch-manage-bus-summary', (resolve) => {
    require(['./components/SellReport/ChManageBusSummary'], resolve)
  })
  // 彩虹月售气量汇总表
  Vue.component('ch-manage-month-gas', (resolve) => {
    require(['./components/SellReport/ChManageMonthGas'], resolve)
  })
  // 彩虹日售气量汇总表
  Vue.component('cai-rs', (resolve) => {
    require(['./components/SellReport/CaiManageDayGas'], resolve)
  })
  // 彩虹其他收费汇总
  Vue.component('ch-otherfee', (resolve) => {
    require(['./components/SellReport/ChOtherfee'], resolve)
  })
  // 彩虹营业厅售气情况统计表
  Vue.component('ch-manage-hand-sell-money', (resolve) => {
    require(['./components/SellReport/ChManageHandSellMoney'], resolve)
  })
  // 用户用气户数情况统计表
  Vue.component('userholds', (resolve) => {
    require(['./components/SellReport/userholds'], resolve)
  })
  // 气量汇总表
  Vue.component('Gasc', (resolve) => {
    require(['./components/SellReport/Gasc'], resolve)
  })
  // 收费明细报表
  Vue.component('charge-schedule', (resolve) => {
    require(['./components/SellReport/chargeSchedule'], resolve)
  })
  // 收费汇总 付款方式
  Vue.component('Amountgas', (resolve) => {
    require(['./components/SellReport/AmountGas'], resolve)
  })
  // 用气汇总
  Vue.component('GasSummary', (resolve) => {
    require(['./components/SellReport/GasSummary'], resolve)
  })
  // 气表售气量
  Vue.component('QibiaoShouqi', (resolve) => {
    require(['./components/SellReport/QibiaoShouqi'], resolve)
  })
  // 气表售气量
  Vue.component('xiao-shou-report', (resolve) => {
    require(['./components/SellReport/XiaoShouReport'], resolve)
  })
  // 燎原气费报装费
  Vue.component('gas-baozhuang-fee', (resolve) => {
    require(['./components/SellReport/GasBaozhuangFee'], resolve)
  })
  // 燎原气费报装费
  Vue.component('user-selling-gas', (resolve) => {
    require(['./components/SellReport/UserSellingGas'], resolve)
  })
  // 操作员收款日结账单
  Vue.component('charge-prick', (resolve) => {
    require(['./components/SellReport/ChargePrick'], resolve)
  })
  // 营业厅收款结账单
  Vue.component('department-prick', (resolve) => {
    require(['./components/SellReport/DepartmentPrick'], resolve)
  })
  // 用户分类统计
  Vue.component('user-classify', (resolve) => {
    require(['./components/SellReport/UserClassify'], resolve)
  })
  // 营业分类统计
  Vue.component('business-classify', (resolve) => {
    require(['./components/SellReport/BusinessClassify'], resolve)
  })
  // 天然气销售月报表
  Vue.component('market-month', (resolve) => {
    require(['./components/SellReport/MarketMonth'], resolve)
  })
  // 财务报表(销售类型)
  Vue.component('finance-sell-type', (resolve) => {
    require(['./components/SellReport/FinanceSellType'], resolve)
  })
  // 气量气费月报表
  Vue.component('gas-money-report', (resolve) => {
    require(['./components/SellReport/GasMoneyReport'], resolve)
  })
  // 营业厅日结账
  Vue.component('sell-dep-report', (resolve) => {
    require(['./components/SellReport/SellDepReport'], resolve)
  })
  // 操作员结账报表
  Vue.component('sell-check-report', (resolve) => {
    require(['./components/SellReport/OperatorCheckoutReport'], resolve)
  })
  // 操作员结账报表(分三类)
  Vue.component('sell-check-two', (resolve) => {
    require(['./components/SellReport/OperatorCheckoutTwo'], resolve)
  })
  // 自助结账报表
  Vue.component('sell-BySelf-Help', (resolve) => {
    require(['./components/SellReport/SellBySelfHelp'], resolve)
  })
  // 民用气量统计表
  Vue.component('civil-gas-count', (resolve) => {
    require(['./components/SellReport/CivilGasReport'], resolve)
  })
  // 非民用气量统计表
  Vue.component('uncivil-gas-count', (resolve) => {
    require(['./components/SellReport/UnCivilGasReport'], resolve)
  })
  // 气费通用报表
  Vue.component('public-sell-report', (resolve) => {
    require(['./components/SellReport/GasMoneyPublicReport'], resolve)
  })
  // 气费通用报表简版
  Vue.component('public-sell-con-report', (resolve) => {
    require(['./components/SellReport/GasMoneyPublicConReport'], resolve)
  })
  // 其他收费通用报表
  Vue.component('public-other-report', (resolve) => {
    require(['./components/SellReport/OtherChargePublicReport'], resolve)
  })
  // 乌海气价报表
  Vue.component('price-report-wh', (resolve) => {
    require(['./components/SellReport/PriceReportWH'], resolve)
  })
  // 案例报表
  Vue.component('anli-report', (resolve) => {
    require(['./components/SellReport/AnLiReport'], resolve)
  })
// 乌海工业报表
  Vue.component('gy-report-wh', (resolve) => {
    require(['./components/SellReport/GYReportWH'], resolve)
  })
// 乌海工业报表
  Vue.component('sy-report-wh', (resolve) => {
    require(['./components/SellReport/SYReportWH'], resolve)
  })
// 用户账户结余
  Vue.component('user-balance-report', (resolve) => {
    require(['./components/SellReport/UserBalanceReport'], resolve)
  })
  // // 气费抄表率通用统计报表
  // Vue.component('Currency-Hand-Report', (resolve) => {
  //   require(['./components/SellReport/CurrencyHandReport'], resolve)
  // })
  // 外营业厅收费日报表
  Vue.component('gas-business-day', (resolve) => {
    require(['./components/SellReport/GasBusinessDayMoney'], resolve)
  })
  // 其他收费类型表潜
  Vue.component('other-type-total', (resolve) => {
    require(['./components/SellReport/GasMoneyOtherType'], resolve)
  })
  // 气价通用抄表报表
  Vue.component('gas-money-public-money', (resolve) => {
    require(['./components/SellReport/GasMoneyPublicMoney'], resolve)
  })
  // //票据
  // Vue.component('bill-use-report', (resolve) => {
  //   require(['./components/SellReport/BillUseReport'], resolve)
  // })
  // 铜川售气占比报表
  Vue.component('eSale-Month-Report', (resolve) => {
    require(['./components/SellReport/ESaleMonthReport.vue'], resolve)
  })
  // 报表展示组件(日结账报表)
  Vue.component('bus-summaryes', (resolve) => {
    require(['./components/SellReport/BusSummaryes'], resolve)
  })

  // 报表展示组件(阳春日结账报表)
  Vue.component('yc-bus-summaryes', (resolve) => {
    require(['./components/SellReport/yangchun/YcBusSummaryes'], resolve)
  })

  // 报表展示组件(阳春天然气气量销售报表)
  Vue.component('yc-gas-summaryes', (resolve) => {
    require(['./components/SellReport/yangchun/YcGasSummaryes'], resolve)
  })
  // 乌海公服报表
  Vue.component('gf-report-wh', (resolve) => {
    require(['./components/SellReport/GFReportWH'], resolve)
  })
  // 乌海居民用气物联网气价报表
  Vue.component('price-report-whwu', (resolve) => {
    require(['./components/SellReport/PriceReportWHwu'], resolve)
  })
  // 天然气售气表具月报表
  Vue.component('market-month-money', (resolve) => {
    require(['./components/SellReport/MarketMonthMoney'], resolve)
  })
  // 周口安检员情况统计表
  Vue.component('market-anjian-style', (resolve) => {
    require(['./components/SellReport/MarketanjianStyle'], resolve)
  })
  // 安检班工作完成情况统计表
  Vue.component('market-anjian-situation', (resolve) => {
    require(['./components/SellReport/MarketAnjianSituation'], resolve)
  })
  // 安检发现隐患及处理情况
  Vue.component('market-anjian-chuli', (resolve) => {
    require(['./components/SellReport/MarketAnjianChuli'], resolve)
  })
  // 收费记录不匹配查询
  Vue.component('user-gas-fill-money', (resolve) => {
    require(['./components/SellReport/UserFillmoney'], resolve)
  })
  // 人员报建表
  Vue.component('apply-gas-fill-money', (resolve) => {
    require(['./components/SellReport/ApplyFillmoney'], resolve)
  })
  // 材料报建表
  Vue.component('applys-gas-fill-money', (resolve) => {
    require(['./components/SellReport/applysFillmoney'], resolve)
  })
  // 月度用气性质使用占比报表
  Vue.component('market-month-gas', (resolve) => {
    require(['./components/SellReport/MarketMonthgas'], resolve)
  })
  Vue.component('left-chart', (resolve) => {
    require(['./components/SellReport/LeftChart'], resolve)
  })
  Vue.component('market-month-chart', (resolve) => {
    require(['./components/SellReport/MarketMonthChart'], resolve)
  })
  // 卡表抄表气价报表
  Vue.component('card-applys-gas', (resolve) => {
    require(['./components/SellReport/Cardapplysgas'], resolve)
  })
  // 抄表员情况统计表
  Vue.component('tl_handgas', (resolve) => {
    require(['./components/SellReport/tl_handgas'], resolve)
  })
  // 抄表员气量统计表
  Vue.component('tl_handmoney', (resolve) => {
    require(['./components/SellReport/tl_handmoney'], resolve)
  })
  // 抄表员气量统计表
  Vue.component('tl_handmoney', (resolve) => {
    require(['./components/SellReport/tl_handmoney'], resolve)
  })
  // 气价划价表
  Vue.component('charge_handmoney', (resolve) => {
    require(['./components/SellReport/charge_handmoney'], resolve)
  })
  // 气价自动划价表
  Vue.component('charge_handfee', (resolve) => {
    require(['./components/SellReport/charge_handfee'], resolve)
  })
  // 抄表用气性质表
  Vue.component('charge_handmeter', (resolve) => {
    require(['./components/SellReport/charge_handmeter'], resolve)
  })
  // 抄表划价查询明细
  Vue.component('chaostyle', (resolve) => {
    require(['./components/SellReport/chaostyle'], resolve)
  })
  // 收费划价查询明细
  Vue.component('shoufeistyle', (resolve) => {
    require(['./components/SellReport/shoufeistyle'], resolve)
  })
  // 气价分组统计表
  Vue.component('chargestyle', (resolve) => {
    require(['./components/SellReport/chargestyle'], resolve)
  })
  // 非民用购气使用查询
  Vue.component('feimin_style', (resolve) => {
    require(['./components/SellReport/feimin_style'], resolve)
  })
  // 物联网月用气报表(户数)
  Vue.component('monthm-stair-hunum', (resolve) => {
    require(['./components/SellReport/MonthStairHunum'], resolve)
  })
  // 收费结账报表 多查询条件（用户类型，付款方式，气表类型，气表品牌）
  Vue.component('manage-bus-summarys', (resolve) => {
    require(['./components/SellReport/ManageBusSummarys'], resolve)
  })
  // 物联网日用气报表(户数)
  Vue.component('day-stair-hunum', (resolve) => {
    require(['./components/SellReport/DayStairMoneyHunum'], resolve)
  })
  // 安康逸华报装开户
  Vue.component('apply-Hunum', (resolve) => {
    require(['./components/SellReport/applyHunum'], resolve)
  })
  // 乌海区域商业报表
  Vue.component('shangye-num', (resolve) => {
    require(['./components/SellReport/shangyenum'], resolve)
  })
  // 涉县报表展示组件(客户服务部日收费统计表)
  Vue.component('sx-summary', (resolve) => {
    require(['./components/SellReport/shexian/SxSummary'], resolve)
  })
  // 涉县报表展示组件(燃气营收月报表)
  Vue.component('sx-month-summary', (resolve) => {
    require(['./components/SellReport/shexian/SxMonthSummary'], resolve)
  })
  // 涉县报表展示组件(燃气财务报表)
  Vue.component('sx-sell-summary', (resolve) => {
    require(['./components/SellReport/shexian/SxSellSummary'], resolve)
  })
  // 机表抄表分项报表
  Vue.component('genera-hand-report', (resolve) => {
    require(['./components/handReport/GeneraHandReport'], resolve)
  })
  // 抄表用气性质统计报表
  Vue.component('hand-price-report', (resolve) => {
    require(['./components/handReport/HandPriceReport.vue'], resolve)
  })
  // 抄表气价统计报表
  Vue.component('hand-gasproperties-report', (resolve) => {
    require(['./components/handReport/HandGaspropertiesReport.vue'], resolve)
  })
  // 抄表性质统计报表
  Vue.component('web-gastype-report', (resolve) => {
    require(['./components/handReport/WebGastypeReport.vue'], resolve)
  })
  // 抄表性质月统计报表
  Vue.component('web-gastype-month-report', (resolve) => {
    require(['./components/handReport/WebGastypeMonthReport.vue'], resolve)
  })

  // 收费日统计报表
  Vue.component('day-sell-summary', (resolve) => {
    require(['./components/SellReport/daySellSummary'], resolve)
  })
  // 收费月统计报表
  Vue.component('month-sell-summary', (resolve) => {
    require(['./components/SellReport/MonthSellSummary'], resolve)
  })
  // 补气费统计报表
  Vue.component('manage-fillgas-summary', (resolve) => {
    require(['./components/SellReport/FillGasSummary'], resolve)
  })
  //  补卡费统计报表
  Vue.component('manage-fillcard-summary', (resolve) => {
    require(['./components/SellReport/FillCardSummary'], resolve)
  })
  //  开票统计报表
  Vue.component('open-eticket-summary', (resolve) => {
    require(['./components/SellReport/OpenEticketSummary'], resolve)
  })
  // 气价分布通用报表
  Vue.component('public-gas-price-report', (resolve) => {
    require(['./components/SellReport/PublicGasPriceReport'], resolve)
  })
  // 气价分布通用报表2
  Vue.component('public-gas-price2-report', (resolve) => {
    require(['./components/SellReport/PublicGasPrice2Report'], resolve)
  })
  // 运城 居民用户各项数据统计表（月报）
  Vue.component('yc-month-summary', (resolve) => {
    require(['./components/SellReport/YCMonthSummary'], resolve)
  })
  // 运城 居民用户各项数据统计表
  Vue.component('yc-gas-summary', (resolve) => {
    require(['./components/SellReport/YCGasSummary'], resolve)
  })
  // 泰州 收费结账报表
  Vue.component('tz-bus-summary', (resolve) => {
    require(['./components/SellReport/taizhou/ManageBusSummary'], resolve)
  })
  // 用气性质用气分项汇总表
  Vue.component('gas-group-summary', (resolve) => {
    require(['./components/SellReport/ManageGasGroupSummary'], resolve)
  })
  // 西户收费结账报表
  Vue.component('xh-manage-summary', (resolve) => {
    require(['./components/SellReport/xihu/XHManageSummary'], resolve)
  })
  // 西户新收费结账报表
  Vue.component('xh-new-manage-summary', (resolve) => {
    require(['./components/SellReport/xihu/XHNewManageSummary'], resolve)
  })
  // 西户客户部操作报表
  Vue.component('xh-kf-report', (resolve) => {
    require(['./components/SellReport/xihu/XHKFReport'], resolve)
  })
  // 西户其他收费
  Vue.component('xh-other-charge-summary', (resolve) => {
    require(['./components/SellReport/xihu/XHOtherChargeSummary'], resolve)
  })
  // 发票汇总报表
  Vue.component('eticket-summary', (resolve) => {
    require(['./components/SellReport/EticketSummary'], resolve)
  })
  // 报表展示组件（扶沟-工商业气量销售报表）
  Vue.component('fg-user-tags', (resolve) => {
    require(['./components/SellReport/fugou/FgUserTags'], resolve)
  })
  // 报表展示组件（扶沟-居民气量销售报表）
  Vue.component('fg-user-gas-type', (resolve) => {
    require(['./components/SellReport/fugou/FgUserGasType'], resolve)
  })
  // 报表展示组件（荣昌-气量销售报表）
  Vue.component('rc-sell-data', (resolve) => {
    require(['./components/SellReport/rongchang/RcSellData'], resolve)
  })
  // 报表展示组件（扶沟-气量销售报表）
  Vue.component('fg-charge-summary', (resolve) => {
    require(['./components/SellReport/fugou/FGChargeSummary'], resolve)
  })
  // 报表展示组件（温宿-工单收费报表）
  Vue.component('gong-dan', (resolve) => {
    require(['./components/SellReport/wensu/GongDan'], resolve)
  })
  // 客服中心报账单
  Vue.component('sy-kf-summary', (resolve) => {
    require(['./components/SellReport/siyang/SYKFSummary'], resolve)
  })
  // 报表展示组件(收款日报表)
  Vue.component('sy-bon-summary', (resolve) => {
    require(['./components/SellReport/siyang/SYBonSummary'], resolve)
  })
  // 报表展示组件（月用气量汇总表）
  Vue.component('sy-manage-month-gas', (resolve) => {
    require(['./components/SellReport/siyang/SYManageMonthGas'], resolve)
  })
  // 泗阳售气收费报表
  Vue.component('sy-gas-sale-fee', (resolve) => {
    require(['./components/SellReport/siyang/SYGasSaleFee'], resolve)
  })
  // 非民用用气统计
  Vue.component('sy_non-resident-gas', (resolve) => {
    require(['./components/SellReport/siyang/NonResidentGas'], resolve)
  })
  // 收费结账报表
  Vue.component('sy_manage-bus-summary', (resolve) => {
    require(['./components/SellReport/siyang/SYManageBusSummary'], resolve)
  })
  // 用户数量统计报表
  Vue.component('manage-metertype-number', (resolve) => {
    require(['./components/SellReport/ManageMetertypeNumber'], resolve)
  })
  // 用户数量统计报表
  Vue.component('tc_user_summary_report', (resolve) => {
    require(['./components/SellReport/tongchuan/tcUserSummaryReport'], resolve)
  })
  // 报表展示组件（荣浩-月用气量报表）
  Vue.component('rh-month-gas', (resolve) => {
    require(['./components/SellReport/ronghao/rhMonthGas'], resolve)
  })
  // 报表展示组件（金鸿-营业厅收费日报表）
  Vue.component('jh-day-report', (resolve) => {
    require(['./components/SellReport/jinhong/JhDayReport'], resolve)
  })
  // 天长客服中心报账单
  Vue.component('tc-kf-summary', (resolve) => {
    require(['./components/SellReport/ronghao/TCKFSummary'], resolve)
  })
}
