import Vue from 'vue'
import echarts from 'echarts'
import MagLoadParams from './stores/MagLoadParams'
import MagGetSaleParam from './stores/MagGetSaleParams'

/** **************************收费组件注册******************************/

export default function () {
  Vue.prototype.$echarts = echarts
  Vue.use(MagLoadParams)
  Vue.use(MagGetSaleParam)
  // 档案查询
  Vue.component('archives-manage', (resolve) => {
    require(['./components/sale/filesquery/ArchivesManage'], resolve)
  })
  // 用户查询
  Vue.component('user-query', (resolve) => {
    require(['./components/sale/filesquery/UserQuery'], resolve)
  })
  // 表具查询
  Vue.component('meter-query', (resolve) => {
    require(['./components/sale/filesquery/MeterQuery'], resolve)
  })
  // 档案变更查询
  Vue.component('changeuser-query', (resolve) => {
    require(['./components/sale/businessquery/ChangeUserQuery'], resolve)
  })
  // 表具设备查询
  Vue.component('equipment-query', (resolve) => {
    require(['./components/sale/filesquery/DeviceQuery'], resolve)
  })
  // 表具设备查询
  Vue.component('fire-query', (resolve) => {
    require(['./components/sale/filesquery/FireQuery'], resolve)
  })
  // 民用用气设备查询
  Vue.component('my-gas-device-query', (resolve) => {
    require(['./components/sale/filesquery/GasDeviceQuery'], resolve)
  })
  // 非民用用气设备查询
  Vue.component('fmy-gas-device-query', (resolve) => {
    require(['./components/sale/filesquery/FmyGasDeviceQuery'], resolve)
  })
  // 调价记录查询
  Vue.component('price-change-query', (resolve) => {
    require(['./components/sale/filesquery/PriceChangeQuery'], resolve)
  })
  // 用户设备查询
  Vue.component('user-equipment-query', (resolve) => {
    require(['./components/sale/filesquery/UserDeviceQuery'], resolve)
  })
  // 综合档案信息查询
  Vue.component('record-info-query', (resolve) => {
    require(['./components/sale/filesquery/RecordInfoQuery'], resolve)
  })
  // 客户查询详细信息显示
  Vue.component('user-query-detail', (resolve) => {
    require(['./components/sale/filesquery/filequerydetail/UserQueryDetail'], resolve)
  })
  // 营业厅明细打印组件
  Vue.component('print-data-self', (resolve) => {
    require(['./components/sale/common/PrintDataSelf'], resolve)
  })
  // 营业厅明细打印组件
  Vue.component('print-table-self', (resolve) => {
    require(['./components/sale/common/PrintTableSelf'], resolve)
  })
  Vue.component('manage-res-select', (resolve) => {
    require(['./components/sale/common/ResSelect'], resolve)
  })
  Vue.component('manage-right-tree', (resolve) => {
    require(['./components/sale/common/RightTree'], resolve)
  })

  // 统计查询
  Vue.component('tongji-manage', (resolve) => {
    require(['./components/sale/businessquery/TongjiManage'], resolve)
  })
  // 用户统计查询
  Vue.component('user-tongji-query', (resolve) => {
    require(['./components/sale/businessquery/UserTongjiQuery'], resolve)
  })

  // 业务查询
  Vue.component('business-manage', (resolve) => {
    require(['./components/sale/businessquery/BusinessManage'], resolve)
  })
// 收费查询
  Vue.component('charge-query', (resolve) => {
    require(['./components/sale/businessquery/ChargeQuery'], resolve)
  })
  // NFC充值记录
  Vue.component('nfc-recharge-record', (resolve) => {
    require(['./components/sale/businessquery/NfcRechargeRecord'], resolve)
  })
  // 团缴查询
  Vue.component('group-charge-query', (resolve) => {
    require(['./components/sale/businessquery/GroupChargeQuery'], resolve)
  })
  // 垃圾处理费查询
  Vue.component('flotsamprice-query', (resolve) => {
    require(['./components/sale/businessquery/FlotsamChargeQuery'], resolve)
  })

  // 气价信息查询
  Vue.component('gas-price-query', (resolve) => {
    require(['./components/sale/businessquery/gasPriceQuery'], resolve)
  })
  // 换表查询
  Vue.component('change-meter-query', (resolve) => {
    require(['./components/sale/businessquery/ChangeMeterQuery'], resolve)
  })
  // 停用查询
  Vue.component('disable-query', (resolve) => {
    require(['./components/sale/businessquery/DisableQuery'], resolve)
  })
  // 启用查询
  Vue.component('enable-query', (resolve) => {
    require(['./components/sale/businessquery/EnableQuery'], resolve)
  })
  // 销户查询
  Vue.component('cancellation-query', (resolve) => {
    require(['./components/sale/businessquery/CancellationQuery'], resolve)
  })
  // 迁表查询
  Vue.component('movemeter-query', (resolve) => {
    require(['./components/sale/businessquery/MoveMeterQuery'], resolve)
  })
  // 补卡查询
  Vue.component('fill-card-query', (resolve) => {
    require(['./components/sale/businessquery/FillCardQuery'], resolve)
  })
  // 补气查询
  Vue.component('fill-gas-query', (resolve) => {
    require(['./components/sale/businessquery/FillGasQuery'], resolve)
  })
  // 免费送气
  Vue.component('privilege-query', (resolve) => {
    require(['./components/sale/businessquery/PrivilegeQuery'], resolve)
  })
  // 机表抄表查询
  Vue.component('handplan-query', (resolve) => {
    require(['./components/sale/businessquery/HandplanQuery'], resolve)
  })
  // 物联网抄表查询
  Vue.component('web-handplan-query', (resolve) => {
    require(['./components/sale/businessquery/WebHandplanQuery'], resolve)
  })
  // 卡表抄表查询
  Vue.component('card-handplan-query', (resolve) => {
    require(['./components/sale/businessquery/CardHandplanQuery'], resolve)
  })
  // 气损收费查询
  Vue.component('gasloss-query', (resolve) => {
    require(['./components/sale/businessquery/GasLossQuery'], resolve)
  })
  // 操作记录查询
  Vue.component('record-query', (resolve) => {
    require(['./components/sale/businessquery/RecordQuery'], resolve)
  })
  // 业务查询
  Vue.component('busines-query', (resolve) => {
    require(['./components/sale/businessquery/BusinesQuery'], resolve)
  })
  // 预存查询
  Vue.component('yucun-detailss', (resolve) => {
    require(['./components/sale/businessquery/yucunDetails'], resolve)
  })
  // 资源操作记录查询
  Vue.component('resource-operating-query', (resolve) => {
    require(['./components/sale/businessquery/ResourceOperatingQuery'], resolve)
  })
  // 调价补差查询
  Vue.component('priceadjust-query', (resolve) => {
    require(['./components/sale/businessquery/priceadjustQuery'], resolve)
  })

  // 其他收费查询
  Vue.component('other-charge-query', (resolve) => {
    require(['./components/sale/businessquery/OtherChargeQuery'], resolve)
  })
  // 其他收费欠费查询
  Vue.component('other-charge-nopay-query', (resolve) => {
    require(['./components/sale/businessquery/OtherChargeNopayQuery'], resolve)
  })
  // 冲正查询
  Vue.component('reverse-query', (resolve) => {
    require(['./components/sale/businessquery/ReverseQuery'], resolve)
  })
  // 过户查询
  Vue.component('transfer-query', (resolve) => {
    require(['./components/sale/businessquery/TransferQuery'], resolve)
  })
  // 记录转移查询
  Vue.component('transfer-record-query', (resolve) => {
    require(['./components/sale/businessquery/TransferRecordQuery'], resolve)
  })
  // 小区汇总（机表）
  Vue.component('residential-query', (resolve) => {
    require(['./components/sale/businessquery/ResidentialQuery'], resolve)
  })
  // 小区汇总（卡表）
  Vue.component('residential-card-query', (resolve) => {
    require(['./components/sale/businessquery/ResidentialCardQuery'], resolve)
  })
  // 小区欠费汇总（机表）
  Vue.component('residential-arrears-query', (resolve) => {
    require(['./components/sale/businessquery/ResidentialArrearsQuery'], resolve)
  })
  // 开户查询
  Vue.component('new-account-query', (resolve) => {
    require(['./components/sale/businessquery/NewAccountQuery'], resolve)
  })
  // 小区综合查询
  Vue.component('area-general-query', (resolve) => {
    require(['./components/sale/businessquery/AreaGeneralQuery'], resolve)
  })
  Vue.component('new-area-general-query', (resolve) => {
    require(['./components/sale/businessquery/NewAreaGeneralQuery'], resolve)
  })
  // 小区用户分布统计
  Vue.component('plot-summary-query', (resolve) => {
    require(['./components/sale/businessquery/PlotSummaryQuery'], resolve)
  })
  // 预存明细查询（统计所有用户账户余额）
  Vue.component('deposit-detail', (resolve) => {
    require(['./components/sale/businessquery/DepositDetail'], resolve)
  })
// 减免优惠查询
  Vue.component('over-due-query', (resolve) => {
    require(['./components/sale/businessquery/overDueQuery'], resolve)
  })
  // 微信绑定查询
  Vue.component('wechat-bind', (resolve) => {
    require(['./components/sale/businessquery/weChatBind.vue'], resolve)
  })

  // 汇总查询
  Vue.component('collect-manage', (resolve) => {
    require(['./components/sale/businessquery/CollectManage'], resolve)
  })

  // 欠费查询
  Vue.component('arrears-query', (resolve) => {
    require(['./components/sale/businessquery/ArrearsQuery'], resolve)
  })
  // 非收费业务查询
  Vue.component('no-business-query', (resolve) => {
    require(['./components/sale/businessquery/NoBusinessQuery'], resolve)
  })
  // 收费员汇总表
  Vue.component('sell-people-query', (resolve) => {
    require(['./components/sale/businessquery/SellPeopleQuery'], resolve)
  })
  // 小区收费查询
  Vue.component('area-charge-query', (resolve) => {
    require(['./components/sale/businessquery/AreaChargeQuery'], resolve)
  })
  // 分公司汇总表
  Vue.component('sell-orgname-query', (resolve) => {
    require(['./components/sale/businessquery/SellOrgnameQuery'], resolve)
  })
  // 抄表员汇总表
  Vue.component('hand-people-query', (resolve) => {
    require(['./components/sale/businessquery/HandPeopleQuery'], resolve)
  })
  // 抄表册汇总表
  Vue.component('hand-book-query', (resolve) => {
    require(['./components/sale/businessquery/HandBookQuery'], resolve)
  })
  // 抄表册汇总表2
  Vue.component('hand-book-two-query', (resolve) => {
    require(['./components/sale/businessquery/HandBookTwoQuery'], resolve)
  })
  // 用气性质抄表率汇总表
  Vue.component('hand-gas-properties-query', (resolve) => {
    require(['./components/sale/businessquery/HandGasPropertiesQuery'], resolve)
  })
  // 每月应收汇总表
  Vue.component('hand-gas-query', (resolve) => {
    require(['./components/sale/businessquery/Handgasquery'], resolve)
  })
  // 小区缴费汇总
  Vue.component('community-paymen', (resolve) => {
    require(['./components/sale/businessquery/CommunityPaymen'], resolve)
  })
  // 用气查询
  Vue.component('fmygas-query', (resolve) => {
    require(['./components/sale/businessquery/FMYGasQuery'], resolve)
  })
  // 新物联网用气查询
  Vue.component('newfmygas-query', (resolve) => {
    require(['./components/sale/businessquery/NewFMYGasQuery'], resolve)
  })
  // 收费抄表
  Vue.component('selling-hand', (resolve) => {
    require(['./components/sale/businessquery/SellingHand'], resolve)
  })
  // 月用气查询
  Vue.component('month-gas-query', (resolve) => {
    require(['./components/sale/businessquery/MonthGasQuery'], resolve)
  })
  // 用户余额分析
  Vue.component('user-sell-head-detail', (resolve) => {
    require(['./components/sale/businessquery/UserSellHeadDetail'], resolve)
  })
  // 年度月份用量分析
  Vue.component('year-gas-query', (resolve) => {
    require(['./components/sale/businessquery/YearGasQuery.vue'], resolve)
  })
  // 余额统计查询
  Vue.component('balance-query', (resolve) => {
    require(['./components/sale/businessquery/BalanceQuery.vue'], resolve)
  })
  // 用户余额表
  Vue.component('balance-table', (resolve) => {
    require(['./components/sale/businessquery/BalanceTable.vue'], resolve)
  })
  // 发折查询
  Vue.component('sendbook-query', (resolve) => {
    require(['./components/sale/businessquery/SendbookQuery.vue'], resolve)
  })
  Vue.component('user-insured', (resolve) => {
    require(['./components/sale/businessquery/UserInsured.vue'], resolve)
  })
  // 气费回收率
  Vue.component('hand-rate-query', (resolve) => {
    require(['./components/sale/businessquery/HandRateQuery.vue'], resolve)
  })
  // 稽查查询总页面
  Vue.component('inspect-manage', (resolve) => {
    require(['./components/sale/businessquery/InspectManage'], resolve)
  })
  // 用户稽查查询
  Vue.component('inspect-list-user', (resolve) => {
    require(['./components/sale/businessquery/InspectListUser'], resolve)
  })
  // 气量稽查查询
  Vue.component('inspect-list-gas', (resolve) => {
    require(['./components/sale/businessquery/InspectListGas'], resolve)
  })
  // 用气稽查查询
  Vue.component('gas-inspection', (resolve) => {
    require(['./components/sale/businessquery/GasInspection'], resolve)
  })
  // 错误抄表稽查查询
  Vue.component('error-handplan-query', (resolve) => {
    require(['./components/sale/businessquery/errorHandplanQuery'], resolve)
  })
  // 收费记录维护查询
  Vue.component('charge-record-maintenance-query', (resolve) => {
    require(['./components/sale/businessquery/chargeRecordMaintenanceQuery'], resolve)
  })

  // 综合分析
  Vue.component('new-echarts-all', (resolve) => {
    require(['./components/webmeter/newwebmeter/NewException/NewEchartsAll'], resolve)
  })
  // 综合分析-用气分析
  Vue.component('new-gas-echarts', (resolve) => {
    require(['./components/webmeter/newwebmeter/NewException/NewGasEcharts'], resolve)
  })
  // 综合分析-用气分析
  Vue.component('new-handplan-echarts', (resolve) => {
    require(['./components/webmeter/newwebmeter/NewException/NewHandplanEcharts'], resolve)
  })
  // 综合分析-指令分析
  Vue.component('new-instruct-echarts', (resolve) => {
    require(['./components/webmeter/newwebmeter/NewException/NewInstructEcharts'], resolve)
  })
  // 综合分析-失联分析
  Vue.component('new-contact-echarts', (resolve) => {
    require(['./components/webmeter/newwebmeter/NewException/NewContactEcharts'], resolve)
  })
  // 统计分析
  Vue.component('analysis-manage', (resolve) => {
    require(['./components/sale/businessquery/analysisquery/AnalysisManage'], resolve)
  })
  // 统计分析
  Vue.component('statistical-analysis', (resolve) => {
    require(['./components/statistical/StatisticalAnalysis'], resolve)
  })
  // 树状图
  Vue.component('dendrogram-manage', (resolve) => {
    require(['./components/statistical/DendrogramManage'], resolve)
  })
  // 树状图2
  Vue.component('dendrograms-manage', (resolve) => {
    require(['./components/statistical/DendrogramsManage'], resolve)
  })
  // 卡表抄表分析
  Vue.component('card-hand-analysis', (resolve) => {
    require(['./components/sale/businessquery/analysisquery/CardHandAnalysis'], resolve)
  })

  // 用户基本信息
  Vue.component('meter-msg', (resolve) => {
    require(['./components/MeterManage/MeterMsg'], resolve)
  })
  // 表具列表
  Vue.component('meter-list', (resolve) => {
    require(['./components/MeterManage/MeterList'], resolve)
  })
  // 表具信息管理
  Vue.component('meter-info-manage', (resolve) => {
    require(['./components/MeterManage/MeterInfoManage'], resolve)
  })
  // 抄表查询
  Vue.component('meter-hand-query', (resolve) => {
    require(['./components/MeterManage/HandQuery'], resolve)
  })
  // 收费查询
  Vue.component('meter-charge-query', (resolve) => {
    require(['./components/MeterManage/ChargeQuery'], resolve)
  })
  // 收据查詢
  Vue.component('meter-receipt-query', (resolve) => {
    require(['./components/sale/businessquery/ReceiptQuery'], resolve)
  })
  // 冲正查询
  Vue.component('meter-reversal-query', (resolve) => {
    require(['./components/MeterManage/ReversalQuery'], resolve)
  })
  // 其他收费查询
  Vue.component('meter-other-charge-query', (resolve) => {
    require(['./components/MeterManage/OtherChargeQuery'], resolve)
  })
  // 过户查询
  Vue.component('meter-transfer-query', (resolve) => {
    require(['./components/MeterManage/TransferQuery'], resolve)
  })
  // 换表查询
  Vue.component('meter-change-meter-query', (resolve) => {
    require(['./components/MeterManage/ChangeMeterQuery'], resolve)
  })
  // 补卡查询
  Vue.component('meter-fill-card-query', (resolve) => {
    require(['./components/MeterManage/FillCardQuery'], resolve)
  })
  // 补气查询
  Vue.component('meter-fill-gas-query', (resolve) => {
    require(['./components/MeterManage/FillGasQuery'], resolve)
  })

  // 报表查询
  Vue.component('day-report', (resolve) => {
    require(['./components/sale/report/aode/DayReport'], resolve)
  })
  Vue.component('day-report-list', (resolve) => {
    require(['./components/sale/report/aode/DayReportList'], resolve)
  })
  Vue.component('day-report-list-print', (resolve) => {
    require(['./components/sale/report/aode/widget/DayReportListPrint'], resolve)
  })
  Vue.component('day-report-summary', (resolve) => {
    require(['./components/sale/report/aode/DayReportSummary'], resolve)
  })
  Vue.component('month-by-charge-type', (resolve) => {
    require(['./components/sale/report/aode/MonthByChargeType'], resolve)
  })
  Vue.component('month-by-charge-print', (resolve) => {
    require(['./components/sale/report/aode/widget/MonthByChargePrint'], resolve)
  })
  Vue.component('month-by-user-type', (resolve) => {
    require(['./components/sale/report/aode/MonthByUserType'], resolve)
  })
  Vue.component('prick-bill-query', (resolve) => {
    require(['./components/sale/businessquery/PrickBillQuery'], resolve)
  })
  Vue.component('month-by-user-print', (resolve) => {
    require(['./components/sale/report/aode/widget/MonthByUserPrint'], resolve)
  })
  Vue.component('year-by-charge-type', (resolve) => {
    require(['./components/sale/report/aode/YearByChargeTpye'], resolve)
  })
  Vue.component('year-by-charge-print', (resolve) => {
    require(['./components/sale/report/aode/widget/YearByChargePrint'], resolve)
  })
  Vue.component('year-by-user-type', (resolve) => {
    require(['./components/sale/report/aode/YearByUserType'], resolve)
  })
  Vue.component('year-by-user-print', (resolve) => {
    require(['./components/sale/report/aode/widget/YearByUserPrint'], resolve)
  })
  // 气费阶梯明细
  Vue.component('selling-charge-price', (resolve) => {
    require(['./components/sale/businessquery/sellingChargePrice'], resolve)
  })

  // 资源查询
  Vue.component('resource-manage', (resolve) => {
    require(['./components/sale/resourcequery/ResourceManage'], resolve)
  })
  // 登录信息查询
  Vue.component('login-query', (resolve) => {
    require(['./components/sale/resourcequery/LoginQuery'], resolve)
  })

  // 收费类型日售气量报表
  Vue.component('pricetype-gas-money', (resolve) => {
    require(['./components/sale/businessquery/PricetypeGasMoney'], resolve)
  })
  // 用气设备统计报表
  Vue.component('gas-device-statistics', (resolve) => {
    require(['./components/sale/businessquery/gasDeviceStatistics'], resolve)
  })

  // 经纬报表
  Vue.component('payment-notice', (resolve) => {
    require(['./components/SellReport/jingwei/PaymentNotice'], resolve)
  })
  Vue.component('payment-notice-print', (resolve) => {
    require(['./components/SellReport/jingwei/widegt/PaymentNoticePrint'], resolve)
  })
  Vue.component('machine-charge-report', (resolve) => {
    require(['./components/SellReport/jingwei/MachineCharge'], resolve)
  })
  Vue.component('card-charge', (resolve) => {
    require(['./components/SellReport/jingwei/CardCharge'], resolve)
  })
  Vue.component('handplan_report', (resolve) => {
    require(['./components/SellReport/jingwei/handplanReport'], resolve)
  })
  Vue.component('handplan-print', (resolve) => {
    require(['./components/SellReport/jingwei/widegt/handplanPrint'], resolve)
  })
  Vue.component('life-day-report', (resolve) => {
    require(['./components/sale/report/aode/life/LifeDayReport'], resolve)
  })
  Vue.component('life-day-report-list', (resolve) => {
    require(['./components/sale/report/aode/life/LifeDayReportList'], resolve)
  })
  Vue.component('life-day-report-summary', (resolve) => {
    require(['./components/sale/report/aode/life/LifeDayReportSummary'], resolve)
  })
  Vue.component('life-month-report', (resolve) => {
    require(['./components/sale/report/aode/life/LifeMonthReport'], resolve)
  })
  Vue.component('life-year-report', (resolve) => {
    require(['./components/sale/report/aode/life/LifeYearReport'], resolve)
  })
  Vue.component('life-day-report-list-print', (resolve) => {
    require(['./components/sale/report/aode/widget/LifeDayReportListPrint'], resolve)
  })
  Vue.component('print-data-manage', (resolve) => {
    require(['./components/sale/common/PrintData'], resolve)
  })
  Vue.component('print-table-manage', (resolve) => {
    require(['./components/sale/common/PrintTable'], resolve)
  })

  // 财务查询
  Vue.component('account-list-manage', (resolve) => {
    require(['./components/sale/businessquery/AccountQuery/AccountListManage'], resolve)
  })
  // 气费应收账款汇总
  Vue.component('expect-gas-list', (resolve) => {
    require(['./components/sale/businessquery/AccountQuery/ExpectGasList'], resolve)
  })
  // 气费预收款情况汇总
  Vue.component('pre-gas-list', (resolve) => {
    require(['./components/sale/businessquery/AccountQuery/PreGasList'], resolve)
  })
  // 违约金情况汇总
  Vue.component('overdue-list', (resolve) => {
    require(['./components/sale/businessquery/AccountQuery/OverdueList'], resolve)
  })
  // 气费收款情况汇总表
  Vue.component('sellinggas-list', (resolve) => {
    require(['./components/sale/businessquery/AccountQuery/SellingGasList'], resolve)
  })
  // 气费收款情况汇总表
  Vue.component('ying-shou-ming-xi', (resolve) => {
    require(['./components/sale/businessquery/YingShouMingXi.vue'], resolve)
  })
  // // 交易汇总明细
  // Vue.component('transaction-list',(resolve) => { require(['./components/sale/businessquery/AccountQuery/TransactionSummary'], resolve)})
  // 微信收款汇总
  Vue.component('income-gap-list', (resolve) => {
    require(['./components/sale/businessquery/AccountQuery/IncomeGapQuery'], resolve)
  })
  // 抄表员抄表用户列表
  Vue.component('handplan-user', (resolve) => {
    require(['./components/sale/common/handplanUser'], resolve)
  })
// 用户用气收费情况
  Vue.component('usergas', (resolve) => {
    require(['./components/sale/businessquery/usergas'], resolve)
  })
// 卡表用户结余明细
  Vue.component('yonghu-jieyu', (resolve) => {
    require(['./components/sale/businessquery/YonghuJieyu'], resolve)
  })
  // 气费回款率
  Vue.component('gas-reimbursement-rate', (resolve) => {
    require(['./components/sale/businessquery/AccountQuery/GasReimbursementRate'], resolve)
  })
  // 可疑用户查询
  Vue.component('suspicious-user-query', (resolve) => {
    require(['./components/sale/businessquery/SuspiciousUserQuery'], resolve)
  })
  // 销售量分类
  Vue.component('sales-gas-classification', (resolve) => {
    require(['./components/sale/businessquery/SalesGasClassification'], resolve)
  })

  // 气价变更查询
  Vue.component('price-change', (resolve) => {
    require(['./components/sale/businessquery/PriceChange'], resolve)
  })
  // 维护记录查询
  Vue.component('infooperate-record', (resolve) => {
    require(['./components/sale/businessquery/InfoOperateRecord'], resolve)
  })

  Vue.component('iot-state-query', (resolve) => {
    require(['./components/sale/businessquery/iotStateSearch/iotStateQuery.vue'], resolve)
  })

  // 调价记录查询
  Vue.component('pricechange-record', (resolve) => {
    require(['./components/sale/businessquery/pricechangeRecordQuery'], resolve)
  })
  // 增值业务汇总查询
  Vue.component('valueadd-info-query', (resolve) => {
    require(['./components/valueaddinfo/ValueAddinfoQuery'], resolve)
  })
  // 用户增值信息查询
  Vue.component('valueadd-user-query', (resolve) => {
    require(['./components/valueaddinfo/valueAddUserQuery'], resolve)
  })
  Vue.component('valueadd-count-query', (resolve) => {
    require(['./components/valueaddinfo/valueAddCountQuery'], resolve)
  })
  // 用户续保查询(增值业务)
  Vue.component('renewal-valueadd-user-query', (resolve) => {
    require(['./components/valueaddinfo/renewalvalueAddUserQuery'], resolve)
  })
  // 操作员结账列表
  Vue.component('proceeds-oper', (resolve) => {
    require(['./components/sale/businessquery/ProceedsOper'], resolve)
  })
  // 抄表情况记录表
  Vue.component('handplan-info', (resolve) => {
    require(['./components/sale/businessquery/handplan-info'], resolve)
  })
  // 未抄表用户报表
  Vue.component('unhand-business', (resolve) => {
    require(['./components/sale/businessquery/UnhandBusiness'], resolve)
  })
  // 报表明细
  Vue.component('report-detail', (resolve) => {
    require(['./components/sale/businessquery/reportDetail'], resolve)
  })
  // 分公司选择新组件,默认全选
  Vue.component('res-select-new', (resolve) => {
    require(['./filiale/tongchuan/ResSelectNew'], resolve)
  })
  // 重点用户用气排行查询
  Vue.component('key-user-gas-ranking', (resolve) => {
    require(['./components/sale/businessquery/AccountQuery/keyUserGasRanking'], resolve)
  })
  Vue.component('print-sheet-query', (resolve) => {
    require(['./components/sale/businessquery/PrintSheetQuery'], resolve)
  })
  // 企业综合
  Vue.component('enterprise-compre', (resolve) => {
    require(['./components/sale/enterprisequery/enterpriseManage'], resolve)
  })
  // 企业收费查询
  Vue.component('enterprise-charge-query', (resolve) => {
    require(['./components/sale/enterprisequery/enterpriseChargeQuery'], resolve)
  })
  // 企业用气查询
  Vue.component('enterprise-gas-query', (resolve) => {
    require(['./components/sale/enterprisequery/enterpriseGasQuery'], resolve)
  })
  // 限购记录查询
  Vue.component('quota-record-query', (resolve) => {
    require(['./components/sale/quotaquery/QuotaRecordQuery'], resolve)
  })

  // 月用气量查询
  Vue.component('web-meter-month-gas-guery', (resolve) => { require(['./components/sale/businessquery/WebMeterMonthGasQuery'], resolve) })
  // 批量打印票据
  Vue.component('manage-batch-print-bill', (resolve) => { require(['./components/sale/common/BatchPrintBill'], resolve) })

  // 图表组件
  Vue.component('charge-query-echarts', (resolve) => { require(['./components/BasisEcharts/businessQuery/chargeQueryEcharts'], resolve) })
  Vue.component('user-open-echarts', (resolve) => { require(['./components/BasisEcharts/businessQuery/userOpenEcharts'], resolve) })

  Vue.component('web-meter-user-month-query', (resolve) => { require(['./components/sale/businessquery/WebMeterMonthUserGasQuery'], resolve) })
}
