import Vue from 'vue'
import echarts from 'echarts'
import MagLoadParams from './stores/MagLoadParams'
import MagGetSaleParam from './stores/MagGetSaleParams'

/** **************************收费组件注册******************************/

export default function () {
  Vue.prototype.$echarts = echarts
  Vue.use(MagLoadParams)
  Vue.use(MagGetSaleParam)
  // 物联查询
  Vue.component('webmeter-query', (resolve) => { require(['./components/webmeter/WebmeterQuery'], resolve) })
  // 物联分析
  Vue.component('webmeter-analyse', (resolve) => { require(['./components/webmeter/WebmeterAnalyse'], resolve) })
  // 数据采集
  Vue.component('data-collection', (resolve) => {
    require(['./components/webmeter/dataCollection/DataCollection'], resolve)
  })

  /** **************************指标统计**********************************/
  // 指标统计主页
  Vue.component('indicator-statistics-main', (resolve) => { require(['./components/webmeter/indicatorStatisticsMain'], resolve) })
  // 指标统计图表
  Vue.component('indicator-statistics-echars', (resolve) => { require(['./components/webmeter/indicatorStatisticsEchars'], resolve) })

  // 用气分析明细查询
  Vue.component('new-webmeter-user-gas-all', (resolve) => { require(['./components/webmeter/DrillData/UserGasAll'], resolve) })
  // 用气分析汇总查询
  Vue.component('user-gas-eform', (resolve) => { require(['./components/webmeter/DrillData/UserGasEform'], resolve) })
  // 用气分析图表分析
  Vue.component('user-gas-echarts', (resolve) => { require(['./components/webmeter/DrillData/UserGasEcharts'], resolve) })
  // 失联分析明细查询
  Vue.component('lost-contact-analysis', (resolve) => { require(['./components/webmeter/DrillData/LostContactAnalysis'], resolve) })

  // 失联查询页面
  Vue.component('lost-contact-analysis-manage', (resolve) => { require(['./components/webmeter/DrillData/LostContactAnalysisManage'], resolve) })
  // 用户失联
  Vue.component('user-lost-contact-analysis', (resolve) => { require(['./components/webmeter/DrillData/UserLostContactAnalysis'], resolve) })
  // 失联查询
  Vue.component('lost-contact-analysis-list', (resolve) => { require(['./components/webmeter/DrillData/LostContactAnalysisList'], resolve) })

  // 失联分析图表分析
  Vue.component('lost-contact-echarts', (resolve) => { require(['./components/webmeter/DrillData/LostContactEcharts'], resolve) })
  // 失联分析Eform
  Vue.component('lost-contact-eform', (resolve) => { require(['./components/webmeter/DrillData/LostContactEform'], resolve) })

  // 异常汇总分析
  Vue.component('total-exception-by-meter', (resolve) => { require(['./components/webmeter/newwebmeter/NewException/TotalExceptionByMeter'], resolve) })
  // 异常汇总分析
  Vue.component('meter-exception-list', (resolve) => { require(['./components/webmeter/newwebmeter/NewException/MeterExceptionList'], resolve) })
  // 异常汇总分析汇总
  Vue.component('new-exception-eform-total', (resolve) => { require(['./components/webmeter/newwebmeter/NewException/NewExceptionEformTotal'], resolve) })
  // 异常分析明细查询
  Vue.component('new-meter-exception', (resolve) => { require(['./components/webmeter/newwebmeter/NewException/NewMeterException'], resolve) })
  // 异常分析明细汇总
  Vue.component('new-exception-eform', (resolve) => { require(['./components/webmeter/newwebmeter/NewException/NewExceptionEform'], resolve) })
  // 异常分析通用图表
  Vue.component('new-exception-echarts', (resolve) => { require(['./components/webmeter/newwebmeter/NewException/NewExceptionEcharsTotal'], resolve) })

  // 上报统计分析--抄表分析
  Vue.component('user-gas-list', (resolve) => { require(['./components/webmeter/newwebmeter/UserGasList'], resolve) })
  // 用气分析图表分析（抄表）
  Vue.component('user-gas-echarts-list', (resolve) => { require(['./components/webmeter/newwebmeter/UserGasEchartsList'], resolve) })

  // 上报统计分析--指令分析
  Vue.component('user-instruct-list', (resolve) => { require(['./components/webmeter/newwebmeter/UserInstructList'], resolve) })
  // 指令分析图表分析
  Vue.component('user-instruct-echarts-list', (resolve) => { require(['./components/webmeter/newwebmeter/UserInstructEchartsList'], resolve) })
  // 调价分析汇总分析
  Vue.component('price-instruct-list', (resolve) => { require(['./components/webmeter/newwebmeter/PriceInstructList'], resolve) })
  // 调价分析明细分析
  Vue.component('price-instruct-detail', (resolve) => { require(['./components/webmeter/newwebmeter/PriceInstructDetail'], resolve) })
  // 调价分析
  Vue.component('price-instruct-manage', (resolve) => { require(['./components/webmeter/newwebmeter/PriceInstructManage'], resolve) })
  //
  // 标记分析主表
  Vue.component('sign-analysis-list-main', (resolve) => { require(['./components/webmeter/newwebmeter/signAnalysisListMain'], resolve) })
  // 标记分析图表
  Vue.component('sign-analysis-echarts', (resolve) => { require(['./components/webmeter/newwebmeter/signAnalysisEcharts'], resolve) })
  // 标记分析汇总
  Vue.component('sign-analysis-eform', (resolve) => { require(['./components/webmeter/newwebmeter/signAnalysisEform'], resolve) })
  // 数据采集
  Vue.component('new-webmeter-hand-plan-main', (resolve) => { require(['./components/webmeter/handplan/NewWebmeterHandPlanMain'], resolve) })
  // 数据采集
  Vue.component('new-webmeter-handplan', (resolve) => { require(['./components/webmeter/handplan/NewWebMeterHandPlan'], resolve) })

// 物联网表大屏分析
  Vue.component('planned-security-inspection-analysis', (resolve) => { require(['./components/webmeter/DrillData/LargeScreenAnalysisEcharts'], resolve) })
// 上报查询
  Vue.component('report-list', (resolve) => { require(['./components/webmeter/report/ReportList'], resolve) })
  // 上报数据明细
  Vue.component('report-detail-list', (resolve) => { require(['./components/webmeter/report/ReportDetailList'], resolve) })
  Vue.component('ckh-report-list', (resolve) => { require(['./components/webmeter/report/ckhReportList'], resolve) })
  // =========================================物联网表==========================================================
  // 表具查看
  //  Vue.component('web-meter-Manage', (resolve) => { require(['./components/webmeter/meterinfo/NewMeterListMain'], resolve) })
  //  Vue.component('new-meter-list', (resolve) => { require(['./components/webmeter/meterinfo/NewMeterList'], resolve) })
  // 指令查看
  Vue.component('instruct-manage', (resolve) => { require(['./components/webmeter/instruction/NewQueryInstructMain'], resolve) })
  Vue.component('instruct-manage-history', (resolve) => { require(['./components/webmeter/instruction/NewQueryInstructMainHistory'], resolve) })
  Vue.component('new-query-instruct', (resolve) => { require(['./components/webmeter/instruction/NewQueryInstruct'], resolve) })
  // 物联网表结算查询
  Vue.component('report-data-query', (resolve) => { require(['./components/webmeter/reportdata/ReportDataQuery'], resolve) })
  // 物联网表结算查询
  Vue.component('ckh-report-data-query', (resolve) => { require(['./components/webmeter/reportdata/ckhReportDataQuery'], resolve) })
  // 充值指令查询
  Vue.component('recharge-instruct-query', (resolve) => { require(['./components/webmeter/recharge/RechargeList'], resolve) })
  // 物联网表用气量统计表
  Vue.component('use-gas-statistics', (resolve) => { require(['./components/webmeter/gasStatistics/GasStatistics'], resolve) })
  // 物联网表用气量统计表新
  Vue.component('new-use-gas-statistics', (resolve) => { require(['./components/webmeter/gasStatistics/NewGasStatistics'], resolve) })
  // 物联网表欠费查询
  Vue.component('arrearage-query', (resolve) => { require(['./components/webmeter/newwebmeter/ArrearageQuery'], resolve) })
  // 未上报查询
  Vue.component('get-no-meteread-query', (resolve) => { require(['./components/webmeter/DrillData/GetNoMetereadData'], resolve) })
  // 物联网表结算分析
  Vue.component('webmeter-settlement-analysis', (resolve) => { require(['./components/webmeter/gasAnalysis/WebmeterSettlementAnalysis'], resolve) })
  // 物联网表结算分析新
  Vue.component('new-webmeter-settlement-analysis', (resolve) => { require(['./components/webmeter/gasAnalysis/NewWebmeterSettlementAnalysis'], resolve) })
  // 开关阀记录
  Vue.component('operation-value-record', (resolve) => { require(['./components/webmeter/operationValueRecord'], resolve) })

  // 石泉异常分析单页面
  Vue.component('total-exception-by-meter-sq', (resolve) => { require(['./components/webmeter/newwebmeter/NewException/TotalExceptionByMeterShiQuan'], resolve) })

  // 物联用户月度结算查询
  Vue.component('webhand-month-gas', (resolve) => { require(['./components/webmeter/newwebmeter/WebhandMonthGas.vue'], resolve) })
}

